Export organisation audit log
curl --request GET \
--url https://assess.praxicraft.com/api/v1/public/org/audit-log/export/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://assess.praxicraft.com/api/v1/public/org/audit-log/export/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://assess.praxicraft.com/api/v1/public/org/audit-log/export/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/org/audit-log/export/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/org/audit-log/export/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"<string>"{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Organisation
Export organisation audit log
Required scope:
organisation:read
Export audit log as CSV or JSON (?export_format=csv|json, default csv). Mode-scoped via key prefix. Capped at 10_000 rows. Starter+.
Responses
| Status | Code | When |
|---|---|---|
200 | — | File / JSON body |
400 | VALIDATION_ERROR | Invalid export_format |
403 | PLAN_REQUIRED | Free plan |
Authentication & rate limits (all endpoints)
| Status | Code | When |
|---|---|---|
401 | INVALID_API_KEY | Missing or invalid bearer token |
401 | EXPIRED_API_KEY | API key past its optional expires_at |
403 | INSUFFICIENT_SCOPE | API key lacks the required scope for this operation |
403 | IP_NOT_ALLOWED | Client IP is outside this key’s CIDR allowlist |
429 | RATE_LIMITED | Rate limit exceeded — plan-tiered reads/writes per organisation per hour |
GET
/
api
/
v1
/
public
/
org
/
audit-log
/
export
/
Export organisation audit log
curl --request GET \
--url https://assess.praxicraft.com/api/v1/public/org/audit-log/export/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://assess.praxicraft.com/api/v1/public/org/audit-log/export/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://assess.praxicraft.com/api/v1/public/org/audit-log/export/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/org/audit-log/export/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/org/audit-log/export/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"<string>"{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Query Parameters
Filter by action name
Filter by extra.channel
Exclude noisy org_dashboard_viewed rows (default true)
csv (default) or json (alias: format if not colliding with DRF)
success or error
Search action, path, email, IP
ISO datetime lower bound
ISO datetime upper bound
Response
The response is of type file.
Last modified on September 5, 2026